Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | Static Private Member Functions | List of all members
eZNavigationPart Class Reference

eZNavigationPart handles grouping of functions across modules More...

## Static Public Member Functions
static | fetchPartByIdentifier ( $identifier)
static | fetchList ()

## Static Private Member Functions
static | i18nDummy ()

## Detailed Description

eZNavigationPart handles grouping of functions across modules

A navigation part is a group of functions which belongs together. Every view can return the navigation part it should use. It is up to the view to return the proper navigation part. Views can internally check which navigation part to use, in the case of content/view the view will check the navigation part set in the section setup and use this.

If the view does not return any navigation part it will default to the Content part.

The navigation parts are controlled by the `menu.ini` file, look for the `NavigationPart` group. You can easily add new entries in override files or in extensions by adding to the `Part` list.

Definition at line 31 of file eznavigationpart.php.

## Member Function Documentation

## ◆ fetchList()

static eZNavigationPart::fetchList | ( |  | ) |
| static

Returns
  The current list of navigation part identifiers

Note
  The list is cached in the global variable `eZNavigationPartList`.

Definition at line 59 of file eznavigationpart.php.

References ezpI18n\tr().

Referenced by fetchPartByIdentifier().

## ◆ fetchPartByIdentifier()

static eZNavigationPart::fetchPartByIdentifier | ( |  | $identifier | ) |
| static

Will return the navigation part array if the identifier is valid, the default will be returned if the identifier is not valid.

The navigation parts are defined in the INI file `menu.ini` under the `NavigationPart` group.

Definition at line 41 of file eznavigationpart.php.

References fetchList().

Referenced by eZContentObjectTreeNodeOperations\showNotificationAfterCopying().

## ◆ i18nDummy()

static eZNavigationPart::i18nDummy | ( |  | ) |
| static private

Note
  This funtion only exists for the i18n entries to be picked up by ezlupdate.

Definition at line 80 of file eznavigationpart.php.

References ezpI18n\tr().

The documentation for this class was generated from the following file:

- eznavigationpart.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.